Page MenuHomePhabricator

Add visitingwatchers to watchlist_count
Open, Needs TriagePublic

Description

Add the publicly available visitingwatchers/active watchers to labs watchlist_count (Created by T59617).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2016, 7:04 PM
Dispenser updated the task description. (Show Details)Nov 11 2016, 7:07 PM

Dispenser, thanks for the separate task. If you are ok with that, I will put T59617 as a blocker of this, not a subtask.

The request is reasonable, but this being a very dynamic field it won't be easy. We can expose an approximation, regularly updated, but it will not be perfect. I would strongly suggest using the API if exact results are expected.

If an approximation is ok, but batch access is preferred, this is something that is totally doable and probably we will not get any objection.

I'm fine with stale data. With the API, visitingwatchers represents 0.005 per watcher checked, in total ~3 - 30 second. Is there a way to get a last modified time like with information_schema?

Is there a way to get a last modified time like with information_schema?

Not now, but we could add such information somewhere.

1978Gage2001 moved this task from Triage to In progress on the DBA board.Dec 11 2017, 9:45 AM
1978Gage2001 moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from In progress to Triage on the DBA board.Dec 11 2017, 11:06 AM
jcrespo moved this task from Triage to Backlog on the DBA board.Jun 15 2018, 3:51 PM